Hive Developers logo

Hive Developer Portal

Methods:

Provides witness-node controls.

The legacy bandwidth methods in this section were disabled in 0.20.6, see: #3029. Current fast-confirm methods are available when the witness_api plugin is enabled, and are intended for trusted witness-node operator endpoints.

witness_api.disable_fast_confirm

Disables automatic fast-confirm transaction broadcasting by this witness node.

When disabled, the witness plugin does not broadcast fast-confirm transactions even when the node is scheduled and has the required signing key.

Query Parameters JSON
{}
Expected Response JSON
{}

witness_api.enable_fast_confirm

Enables automatic fast-confirm transaction broadcasting by this witness node.

When enabled, the witness plugin can broadcast fast-confirm transactions for eligible scheduled witnesses when the node has the required signing key.

Query Parameters JSON
{}
Expected Response JSON
{}

witness_api.get_account_bandwidth

Disabled since 0.20.6, see: #3029

Returns the available bandwidth of an account. See: Forum/Market Bandwidth

Replacement / Successor
Query Parameters JSON
{"account": "", "type": "post"}
Expected Response JSON
{}

witness_api.get_reserve_ratio

Disabled since 0.20.6, see: #3029

Returns the current reserve ratio.

Replacement / Successor
Query Parameters JSON
{}
Expected Response JSON
{
  "id": 0,
  "average_block_size": 0,
  "current_reserve_ratio": 1,
  "max_virtual_bandwidth": "0"
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"witness_api.get_reserve_ratio", "params":{}, "id":1}' https://api.hive.blog

witness_api.is_fast_confirm_enabled

Returns whether automatic fast-confirm broadcasting is currently enabled on this witness node.

Query Parameters JSON
{}
Expected Response JSON
true